=== debian/control ===
Source: ros-indigo-sr-robot-lib
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-indigo-catkin, ros-indigo-controller-manager-msgs, ros-indigo-diagnostic-updater, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sr-external-dependencies, ros-indigo-sr-hardware-interface, ros-indigo-sr-mechanism-model, ros-indigo-sr-robot-msgs, ros-indigo-sr-self-test, ros-indigo-sr-utilities, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/sr_robot_lib
Standards-Version: 3.9.2

Package: ros-indigo-sr-robot-lib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager-msgs, ros-indigo-diagnostic-updater, ros-indigo-realtime-tools, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sr-ethercat-hand-config, ros-indigo-sr-external-dependencies, ros-indigo-sr-hardware-interface, ros-indigo-sr-mechanism-model, ros-indigo-sr-robot-msgs, ros-indigo-sr-self-test, ros-indigo-sr-utilities, ros-indigo-std-srvs
Description: sr_robot_lib contains the robot library used in the sr_edc_ethercat_drivers. The library is used to store the incoming etherCAT messages in an easy to access format, and prepare the messages to be send through etherCAT.
